net.sourceforge.pmd.util

## Class IOUtil

- java.lang.Object
- - net.sourceforge.pmd.util.IOUtil

-     public class IOUtil
      extends Object

  Author:
    Brian Remedios

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `closeQuietly(Closeable closeable)` Convenience methods to close any stream, reader, or writer.
    `static Writer` | `createWriter()`
    `static Writer` | `createWriter(String reportFile)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### closeQuietly

          public static void closeQuietly(Closeable closeable)

      Convenience methods to close any stream, reader, or writer. Ignores null values.
      Parameters:
        `closeable` -

    - #### createWriter

          public static Writer createWriter()

    - #### createWriter

          public static Writer createWriter(String reportFile)

Copyright © 2002-2013 InfoEther. All Rights Reserved.